Skip to main content
POST
/
contentful2
/
v1
/
sync
/
convert-to-raw
Convert an XLIFF file from the connector to a raw file used by Contentful synchronously
curl --request POST \
  --url https://eu.phrase.com/connectors/contentful2/v1/sync/convert-to-raw \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "storageId": "e48eda63928c4155bez9fdbsaadc15f3",
  "sourceLocale": "en-US",
  "targetLocale": "de-DE"
}
'
import requests

url = "https://eu.phrase.com/connectors/contentful2/v1/sync/convert-to-raw"

payload = {
"storageId": "e48eda63928c4155bez9fdbsaadc15f3",
"sourceLocale": "en-US",
"targetLocale": "de-DE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storageId: 'e48eda63928c4155bez9fdbsaadc15f3',
sourceLocale: 'en-US',
targetLocale: 'de-DE'
})
};

fetch('https://eu.phrase.com/connectors/contentful2/v1/sync/convert-to-raw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"problemDetail": {
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"properties": {}
}
}

Authorizations

Authorization
string
header
required

IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer

Headers

X-ActionId
string

A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.

X-ResponseType
enum<string>

Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default.

Available options:
ID,
OBJECT

Body

application/json

Request body for converting a stored XLIFF back into Contentful's raw entry format without writing it to Contentful. The result lands in Phrase file storage as a new storageId you can then push with upload-raw-file.

storageId
string
required

Storage ID of the translated XLIFF file to convert.

Example:

"e48eda63928c4155bez9fdbsaadc15f3"

sourceLocale
string
required

Source locale embedded in the XLIFF (Contentful locale code).

Example:

"en-US"

targetLocale
string
required

Target locale the XLIFF was translated into.

Example:

"de-DE"

Response

OK — raw binary stream (returned when X-ResponseType=OBJECT).

The response is of type file.